KDE 4.9 PyKDE API Reference

- KDE's Python API

# RangeException Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

## Enumerations

RangeExceptionCode | { BAD_BOUNDARYPOINTS_ERR, INVALID_NODE_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

## Attributes

int | code

## Methods

| __init__ (self, int _code)
| __init__ (self, DOM.RangeException other)
DOM.DOMString | codeAsString (self)

## Static Methods

DOM.DOMString | codeAsString (int rangeCode)
bool | isRangeExceptionCode (int exceptioncode)

## Method Documentation

__init__ | ( | self, |
|  | int | _code
| ) |  |  |

__init__ | ( | self, |
|  | DOM.RangeException | other
| ) |  |  |

DOM.DOMString codeAsString | ( |  | self ) |

## Static Method Documentation

DOM.DOMString codeAsString | ( | int | rangeCode
| ) |  |  |

bool isRangeExceptionCode | ( | int | exceptioncode
| ) |  |  |

Internal:
  - checks to see whether internal code is a Range one

## Attribute Documentation

int code

## Enumeration Documentation

RangeExceptionCode

An integer indicating the type of error generated.

Enumerator:

  BAD_BOUNDARYPOINTS_ERR = 1 |
  INVALID_NODE_TYPE_ERR = 2 |
  _EXCEPTION_OFFSET = 2000 |
  _EXCEPTION_MAX = 2999 |